import { Cell } from "ton-core";
import { Account } from "../../wallets/Account.js";
import { Action } from "./Action.js";
import { ActionType } from "./ActionType.js";
export declare class JettonTransferAction extends Action {
    get type(): ActionType;
    get amount(): bigint;
    get destination(): Account;
    get response_destination(): Account | null;
    get query_id(): number;
    static fromCell(cell: Cell): {
        action: JettonTransferAction;
        comment: string;
    };
    protected _amount: bigint;
    protected _destination: Account;
    protected _response_destination: Account | null;
    protected _query_id: number;
    constructor(amount: bigint, destination: Account, responseDestination: Account | null, queryId?: number, body?: Cell);
}
